Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454283 - firefox-2.0-getstartpage.patch breaks extensions which set homepage
Summary: firefox-2.0-getstartpage.patch breaks extensions which set homepage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox
Version: 5.2
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Christopher Aillon
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-07 14:29 UTC by Traxtopel
Modified: 2008-11-13 02:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-13 02:24:10 UTC


Attachments (Terms of Use)
another way how to fix it - by browserconfig.properties (deleted)
2008-10-02 11:01 UTC, Martin Stransky
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0978 normal SHIPPED_LIVE Critical: firefox security update 2008-11-13 02:23:59 UTC

Description Traxtopel 2008-07-07 14:29:56 UTC
Description of problem:
firefox-2.0-getstartpage.patch removes the code that allows
browser.startup.homepage to come from a properties file of a 3rd party extension.

Version-Release number of selected component (if applicable):
firefox-3.0 2.el5

Comment 1 RHEL Product and Program Management 2008-07-08 22:29:07 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Traxtopel 2008-07-09 12:46:11 UTC
Should I also open a bug report for Fedora 9, since the same patch is included
in their build, or will this be fix be reflected there also?

Comment 3 John Walicki 2008-08-13 20:18:19 UTC
This firefox-2.0-getstartpage.patch is causing problems with the internal Firefox 3 deployment within IBM.   IBM uses the Mozilla CCK (Client Customization Kit) to customize Firefox for internal IBMers.  We set the homepage to our Intranet URL and set a variety of other parameters.  The CCK is a important feature for IBM.

The firefox-2.0-getstartpage.patch removes the code that allows
browser.startup.homepage to come from a properties file of a 3rd party extension (which is EXACTLY what the CCK does!)

IBM requests that Red Hat Enterprise Linux (and Fedora) back out this custom patch and deliver Firefox as intended so that our enterprise deployment can proceed.  We've used this feature since Firefox 1.0 and are disappointed that its been disabled.

Comment 4 Matěj Cepl 2008-08-28 12:09:15 UTC
(In reply to comment #2)
> Should I also open a bug report for Fedora 9, since the same patch is included
> in their build, or will this be fix be reflected there also?

Yes, please.

Comment 6 Traxtopel 2008-09-26 13:11:12 UTC
Patch is still present in firefox-3.0.2-3.el5
What is the outlook on this issue being fixed?

Comment 7 Martin Stransky 2008-10-02 11:01:31 UTC
Created attachment 319211 [details]
another way how to fix it - by browserconfig.properties

Chris, what do you think about this solution?

Comment 9 Martin Stransky 2008-10-02 20:11:17 UTC
The "fix" from #7 works without firefox-2.0-getstartpage.patch, it's just the properties change.

Comment 14 errata-xmlrpc 2008-11-13 02:24:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0978.html


Note You need to log in before you can comment on or make changes to this bug.